PHP Manual
Prev |  | Next

# ps_delete

(PECL)

ps_delete -- Deletes all resources of a PostScript document

## Description

bool ps_delete ( resource psdoc )

Mainly frees memory used by the document. Also closes a file, if it was not closed before with ps_close(). You should in any case close the file with ps_close() before, because ps_close() not just closes the file but also outputs a last line containing the PostScript comment with the number of pages in the document. Without this comment, a PostScript viewer may not show the number of pages properly.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

ps_close()

Prev | Home | Next
ps_curveto | Up | ps_end_page